USN-5917-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5917-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5917-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5917-1
Related
  • CVE-2022-3169
  • CVE-2022-3424
  • CVE-2022-3435
  • CVE-2022-3521
  • CVE-2022-3545
  • CVE-2022-3623
  • CVE-2022-36280
  • CVE-2022-41218
  • CVE-2022-4139
  • CVE-2022-42328
  • CVE-2022-42329
  • CVE-2022-47520
  • CVE-2022-47929
  • CVE-2023-0045
  • CVE-2023-0266
  • CVE-2023-0394
  • CVE-2023-0461
  • CVE-2023-20938
  • CVE-2023-23454
  • CVE-2023-23455
Published
2023-03-03T14:58:38Z
Modified
2023-03-03T14:58:38Z
Summary
linux, linux-aws, linux-aws-5.4, linux-azure, linux-azure-5.4, linux-gcp, linux-gke, linux-gkeop, linux-hwe-5.4, linux-kvm, linux-oracle, linux-oracle-5.4 vulnerabilities
Details

It was discovered that the Upper Level Protocol (ULP) subsystem in the Linux kernel did not properly handle sockets entering the LISTEN state in certain protocols, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-0461)

It was discovered that the NVMe driver in the Linux kernel did not properly handle reset events in some situations. A local attacker could use this to cause a denial of service (system crash). (CVE-2022-3169)

It was discovered that a use-after-free vulnerability existed in the SGI GRU driver in the Linux kernel. A local attacker could possibly use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2022-3424)

Gwangun Jung discovered a race condition in the IPv4 implementation in the Linux kernel when deleting multipath routes, resulting in an out-of-bounds read. An attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information (kernel memory). (CVE-2022-3435)

It was discovered that a race condition existed in the Kernel Connection Multiplexor (KCM) socket implementation in the Linux kernel when releasing sockets in certain situations. A local attacker could use this to cause a denial of service (system crash). (CVE-2022-3521)

It was discovered that the Netronome Ethernet driver in the Linux kernel contained a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2022-3545)

It was discovered that the hugetlb implementation in the Linux kernel contained a race condition in some situations. A local attacker could use this to cause a denial of service (system crash) or expose sensitive information (kernel memory). (CVE-2022-3623)

Ziming Zhang discovered that the VMware Virtual GPU DRM driver in the Linux kernel contained an out-of-bounds write vulnerability. A local attacker could use this to cause a denial of service (system crash). (CVE-2022-36280)

Hyunwoo Kim discovered that the DVB Core driver in the Linux kernel did not properly perform reference counting in some situations, leading to a use- after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2022-41218)

It was discovered that the Intel i915 graphics driver in the Linux kernel did not perform a GPU TLB flush in some situations. A local attacker could use this to cause a denial of service or possibly execute arbitrary code. (CVE-2022-4139)

It was discovered that a race condition existed in the Xen network backend driver in the Linux kernel when handling dropped packets in certain circumstances. An attacker could use this to cause a denial of service (kernel deadlock). (CVE-2022-42328, CVE-2022-42329)

It was discovered that the Atmel WILC1000 driver in the Linux kernel did not properly validate offsets, leading to an out-of-bounds read vulnerability. An attacker could use this to cause a denial of service (system crash). (CVE-2022-47520)

It was discovered that the network queuing discipline implementation in the Linux kernel contained a null pointer dereference in some situations. A local attacker could use this to cause a denial of service (system crash). (CVE-2022-47929)

José Oliveira and Rodrigo Branco discovered that the prctl syscall implementation in the Linux kernel did not properly protect against indirect branch prediction attacks in some situations. A local attacker could possibly use this to expose sensitive information. (CVE-2023-0045)

It was discovered that a use-after-free vulnerability existed in the Advanced Linux Sound Architecture (ALSA) subsystem. A local attacker could use this to cause a denial of service (system crash). (CVE-2023-0266)

Kyle Zeng discovered that the IPv6 implementation in the Linux kernel contained a NULL pointer dereference vulnerability in certain situations. A local attacker could use this to cause a denial of service (system crash). (CVE-2023-0394)

It was discovered that the Android Binder IPC subsystem in the Linux kernel did not properly validate inputs in some situations, leading to a use- after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-20938)

Kyle Zeng discovered that the class-based queuing discipline implementation in the Linux kernel contained a type confusion vulnerability in some situations. An attacker could use this to cause a denial of service (system crash). (CVE-2023-23454)

Kyle Zeng discovered that the ATM VC queuing discipline implementation in the Linux kernel contained a type confusion vulnerability in some situations. An attacker could use this to cause a denial of service (system crash). (CVE-2023-23455)

References

Affected packages

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-144.161

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-5.4.0-144-lowlatency": "5.4.0-144.161",
            "linux-generic-hwe-18.04": "5.4.0.144.142",
            "linux-headers-oem": "5.4.0.144.142",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.144.142",
            "linux-image-5.4.0-144-generic": "5.4.0-144.161",
            "linux-lowlatency-hwe-18.04": "5.4.0.144.142",
            "linux-buildinfo-5.4.0-144-lowlatency": "5.4.0-144.161",
            "linux-cloud-tools-virtual": "5.4.0.144.142",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.144.142",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.144.142",
            "linux-cloud-tools-lowlatency": "5.4.0.144.142",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.144.142",
            "linux-headers-generic-hwe-18.04": "5.4.0.144.142",
            "linux-generic-lpae-hwe-18.04": "5.4.0.144.142",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.144.142",
            "linux-tools-virtual": "5.4.0.144.142",
            "linux-oem-osp1-tools-host": "5.4.0.144.142",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.144.142",
            "linux-source": "5.4.0.144.142",
            "linux-headers-5.4.0-144-lowlatency": "5.4.0-144.161",
            "linux-buildinfo-5.4.0-144-generic": "5.4.0-144.161",
            "linux-headers-5.4.0-144-generic-lpae": "5.4.0-144.161",
            "linux-cloud-tools-generic": "5.4.0.144.142",
            "linux-tools-generic": "5.4.0.144.142",
            "linux-cloud-tools-5.4.0-144": "5.4.0-144.161",
            "linux-image-5.4.0-144-generic-lpae": "5.4.0-144.161",
            "linux-image-virtual": "5.4.0.144.142",
            "linux-tools-5.4.0-144-lowlatency": "5.4.0-144.161",
            "linux-tools-5.4.0-144-generic-lpae": "5.4.0-144.161",
            "linux-generic-lpae": "5.4.0.144.142",
            "linux-virtual": "5.4.0.144.142",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.144.142",
            "linux-oem": "5.4.0.144.142",
            "linux-image-extra-virtual": "5.4.0.144.142",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.144.142",
            "linux-headers-5.4.0-144-generic": "5.4.0-144.161",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.144.142",
            "linux-crashdump": "5.4.0.144.142",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.144.142",
            "linux-generic": "5.4.0.144.142",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.144.142",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.144.142",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.144.142",
            "linux-generic-hwe-18.04-edge": "5.4.0.144.142",
            "linux-headers-generic-lpae": "5.4.0.144.142",
            "linux-cloud-tools-5.4.0-144-generic": "5.4.0-144.161",
            "linux-image-generic-lpae": "5.4.0.144.142",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.144.142",
            "linux-image-unsigned-5.4.0-144-lowlatency": "5.4.0-144.161",
            "linux-tools-lowlatency": "5.4.0.144.142",
            "linux-modules-5.4.0-144-generic-lpae": "5.4.0-144.161",
            "linux-headers-oem-osp1": "5.4.0.144.142",
            "linux-cloud-tools-common": "5.4.0-144.161",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.144.142",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.144.142",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.144.142",
            "linux-libc-dev": "5.4.0-144.161",
            "linux-source-5.4.0": "5.4.0-144.161",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.144.142",
            "linux-modules-extra-5.4.0-144-generic": "5.4.0-144.161",
            "linux-doc": "5.4.0-144.161",
            "linux-headers-virtual-hwe-18.04": "5.4.0.144.142",
            "linux-image-unsigned-5.4.0-144-generic": "5.4.0-144.161",
            "linux-tools-oem-osp1": "5.4.0.144.142",
            "linux-oem-osp1": "5.4.0.144.142",
            "linux-image-5.4.0-144-lowlatency": "5.4.0-144.161",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.144.142",
            "linux-modules-5.4.0-144-generic": "5.4.0-144.161",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.144.142",
            "linux-headers-generic": "5.4.0.144.142",
            "linux-tools-oem": "5.4.0.144.142",
            "linux-headers-lowlatency": "5.4.0.144.142",
            "linux-oem-tools-host": "5.4.0.144.142",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.144.142",
            "linux-headers-virtual": "5.4.0.144.142",
            "linux-image-lowlatency": "5.4.0.144.142",
            "linux-buildinfo-5.4.0-144-generic-lpae": "5.4.0-144.161",
            "linux-image-oem": "5.4.0.144.142",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.144.142",
            "linux-virtual-hwe-18.04": "5.4.0.144.142",
            "linux-headers-5.4.0-144": "5.4.0-144.161",
            "linux-tools-host": "5.4.0-144.161",
            "linux-cloud-tools-5.4.0-144-lowlatency": "5.4.0-144.161",
            "linux-tools-5.4.0-144-generic": "5.4.0-144.161",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.144.142",
            "linux-virtual-hwe-18.04-edge": "5.4.0.144.142",
            "linux-image-generic-hwe-18.04": "5.4.0.144.142",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.144.142",
            "linux-image-virtual-hwe-18.04": "5.4.0.144.142",
            "linux-tools-generic-lpae": "5.4.0.144.142",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.144.142",
            "linux-image-oem-osp1": "5.4.0.144.142",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.144.142",
            "linux-tools-5.4.0-144": "5.4.0-144.161",
            "linux-tools-virtual-hwe-18.04": "5.4.0.144.142",
            "linux-tools-common": "5.4.0-144.161",
            "linux-tools-generic-hwe-18.04": "5.4.0.144.142",
            "linux-image-generic": "5.4.0.144.142",
            "linux-lowlatency": "5.4.0.144.142",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.144.142",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.144.142"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gkeop

Package

Name
linux-gkeop

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1065.69

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-gkeop-5.4": "5.4.0.1065.63",
            "linux-gkeop-headers-5.4.0-1065": "5.4.0-1065.69",
            "linux-gkeop-5.4": "5.4.0.1065.63",
            "linux-headers-gkeop-5.4": "5.4.0.1065.63",
            "linux-modules-extra-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-tools-gkeop": "5.4.0.1065.63",
            "linux-cloud-tools-gkeop": "5.4.0.1065.63",
            "linux-gkeop": "5.4.0.1065.63",
            "linux-buildinfo-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-modules-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-tools-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-cloud-tools-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-image-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-modules-extra-gkeop": "5.4.0.1065.63",
            "linux-image-gkeop": "5.4.0.1065.63",
            "linux-cloud-tools-gkeop-5.4": "5.4.0.1065.63",
            "linux-gkeop-source-5.4.0": "5.4.0-1065.69",
            "linux-modules-extra-gkeop-5.4": "5.4.0.1065.63",
            "linux-headers-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-tools-gkeop-5.4": "5.4.0.1065.63",
            "linux-gkeop-cloud-tools-5.4.0-1065": "5.4.0-1065.69",
            "linux-image-unsigned-5.4.0-1065-gkeop": "5.4.0-1065.69",
            "linux-gkeop-tools-5.4.0-1065": "5.4.0-1065.69",
            "linux-headers-gkeop": "5.4.0.1065.63"
        }
    ]
}

Ubuntu:20.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1104.110

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1104-azure": "5.4.0-1104.110",
            "linux-tools-azure-lts-20.04": "5.4.0.1104.97",
            "linux-azure-headers-5.4.0-1104": "5.4.0-1104.110",
            "linux-modules-5.4.0-1104-azure": "5.4.0-1104.110",
            "linux-headers-5.4.0-1104-azure": "5.4.0-1104.110",
            "linux-cloud-tools-5.4.0-1104-azure": "5.4.0-1104.110",
            "linux-modules-extra-azure-lts-20.04": "5.4.0.1104.97",
            "linux-buildinfo-5.4.0-1104-azure": "5.4.0-1104.110",
            "linux-image-unsigned-5.4.0-1104-azure": "5.4.0-1104.110",
            "linux-azure-tools-5.4.0-1104": "5.4.0-1104.110",
            "linux-image-5.4.0-1104-azure": "5.4.0-1104.110",
            "linux-image-azure-lts-20.04": "5.4.0.1104.97",
            "linux-headers-azure-lts-20.04": "5.4.0.1104.97",
            "linux-azure-cloud-tools-5.4.0-1104": "5.4.0-1104.110",
            "linux-cloud-tools-azure-lts-20.04": "5.4.0.1104.97",
            "linux-azure-lts-20.04": "5.4.0.1104.97",
            "linux-modules-extra-5.4.0-1104-azure": "5.4.0-1104.110"
        }
    ]
}

Ubuntu:20.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1087.93

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "5.4.0.1087.81",
            "linux-kvm": "5.4.0.1087.81",
            "linux-tools-5.4.0-1087-kvm": "5.4.0-1087.93",
            "linux-modules-5.4.0-1087-kvm": "5.4.0-1087.93",
            "linux-image-unsigned-5.4.0-1087-kvm": "5.4.0-1087.93",
            "linux-kvm-headers-5.4.0-1087": "5.4.0-1087.93",
            "linux-tools-kvm": "5.4.0.1087.81",
            "linux-kvm-tools-5.4.0-1087": "5.4.0-1087.93",
            "linux-buildinfo-5.4.0-1087-kvm": "5.4.0-1087.93",
            "linux-headers-5.4.0-1087-kvm": "5.4.0-1087.93",
            "linux-image-5.4.0-1087-kvm": "5.4.0-1087.93",
            "linux-image-kvm": "5.4.0.1087.81"
        }
    ]
}

Ubuntu:20.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1097.105

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-modules-extra-aws-lts-20.04": "5.4.0.1097.94",
            "linux-aws-tools-5.4.0-1097": "5.4.0-1097.105",
            "linux-tools-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-aws-lts-20.04": "5.4.0.1097.94",
            "linux-tools-aws-lts-20.04": "5.4.0.1097.94",
            "linux-cloud-tools-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-modules-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-headers-aws-lts-20.04": "5.4.0.1097.94",
            "linux-image-unsigned-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-aws-cloud-tools-5.4.0-1097": "5.4.0-1097.105",
            "linux-modules-extra-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-buildinfo-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-headers-5.4.0-1097-aws": "5.4.0-1097.105",
            "linux-aws-headers-5.4.0-1097": "5.4.0-1097.105",
            "linux-image-aws-lts-20.04": "5.4.0.1097.94"
        }
    ]
}

Ubuntu:20.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1094.103

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-oracle-lts-20.04": "5.4.0.1094.87",
            "linux-buildinfo-5.4.0-1094-oracle": "5.4.0-1094.103",
            "linux-oracle-lts-20.04": "5.4.0.1094.87",
            "linux-image-unsigned-5.4.0-1094-oracle": "5.4.0-1094.103",
            "linux-headers-oracle-lts-20.04": "5.4.0.1094.87",
            "linux-tools-5.4.0-1094-oracle": "5.4.0-1094.103",
            "linux-oracle-headers-5.4.0-1094": "5.4.0-1094.103",
            "linux-oracle-tools-5.4.0-1094": "5.4.0-1094.103",
            "linux-modules-5.4.0-1094-oracle": "5.4.0-1094.103",
            "linux-modules-extra-5.4.0-1094-oracle": "5.4.0-1094.103",
            "linux-headers-5.4.0-1094-oracle": "5.4.0-1094.103",
            "linux-tools-oracle-lts-20.04": "5.4.0.1094.87",
            "linux-image-5.4.0-1094-oracle": "5.4.0-1094.103"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gke

Package

Name
linux-gke

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1095.102

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-5.4.0-1095-gke": "5.4.0-1095.102",
            "linux-modules-extra-5.4.0-1095-gke": "5.4.0-1095.102",
            "linux-tools-gke": "5.4.0.1095.100",
            "linux-image-5.4.0-1095-gke": "5.4.0-1095.102",
            "linux-headers-gke": "5.4.0.1095.100",
            "linux-gke-5.4": "5.4.0.1095.100",
            "linux-gke-headers-5.4.0-1095": "5.4.0-1095.102",
            "linux-gke-tools-5.4.0-1095": "5.4.0-1095.102",
            "linux-tools-gke-5.4": "5.4.0.1095.100",
            "linux-gke": "5.4.0.1095.100",
            "linux-headers-gke-5.4": "5.4.0.1095.100",
            "linux-modules-5.4.0-1095-gke": "5.4.0-1095.102",
            "linux-tools-5.4.0-1095-gke": "5.4.0-1095.102",
            "linux-modules-extra-gke-5.4": "5.4.0.1095.100",
            "linux-image-unsigned-5.4.0-1095-gke": "5.4.0-1095.102",
            "linux-modules-extra-gke": "5.4.0.1095.100",
            "linux-image-gke": "5.4.0.1095.100",
            "linux-image-gke-5.4": "5.4.0.1095.100",
            "linux-buildinfo-5.4.0-1095-gke": "5.4.0-1095.102"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1101.110

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-gcp-lts-20.04": "5.4.0.1101.103",
            "linux-modules-extra-gcp-lts-20.04": "5.4.0.1101.103",
            "linux-modules-extra-5.4.0-1101-gcp": "5.4.0-1101.110",
            "linux-image-gcp-lts-20.04": "5.4.0.1101.103",
            "linux-buildinfo-5.4.0-1101-gcp": "5.4.0-1101.110",
            "linux-gcp-tools-5.4.0-1101": "5.4.0-1101.110",
            "linux-modules-5.4.0-1101-gcp": "5.4.0-1101.110",
            "linux-tools-gcp-lts-20.04": "5.4.0.1101.103",
            "linux-image-5.4.0-1101-gcp": "5.4.0-1101.110",
            "linux-headers-gcp-lts-20.04": "5.4.0.1101.103",
            "linux-image-unsigned-5.4.0-1101-gcp": "5.4.0-1101.110",
            "linux-tools-5.4.0-1101-gcp": "5.4.0-1101.110",
            "linux-headers-5.4.0-1101-gcp": "5.4.0-1101.110",
            "linux-gcp-headers-5.4.0-1101": "5.4.0-1101.110"
        }
    ]
}

Ubuntu:18.04:LTS / linux-hwe-5.4

Package

Name
linux-hwe-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-144.161~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-hwe-5.4-tools-5.4.0-144": "5.4.0-144.161~18.04.1",
            "linux-headers-oem": "5.4.0.144.161~18.04.115",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-image-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-image-snapdragon-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-lowlatency-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-headers-snapdragon-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-generic-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-buildinfo-5.4.0-144-lowlatency": "5.4.0-144.161~18.04.1",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-snapdragon-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-snapdragon-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-tools-snapdragon-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-headers-generic-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-generic-lpae-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-headers-5.4.0-144-lowlatency": "5.4.0-144.161~18.04.1",
            "linux-buildinfo-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-headers-5.4.0-144-generic-lpae": "5.4.0-144.161~18.04.1",
            "linux-tools-5.4.0-144-lowlatency": "5.4.0-144.161~18.04.1",
            "linux-hwe-5.4-cloud-tools-5.4.0-144": "5.4.0-144.161~18.04.1",
            "linux-oem": "5.4.0.144.161~18.04.115",
            "linux-image-5.4.0-144-generic-lpae": "5.4.0-144.161~18.04.1",
            "linux-hwe-5.4-headers-5.4.0-144": "5.4.0-144.161~18.04.1",
            "linux-tools-5.4.0-144-generic-lpae": "5.4.0-144.161~18.04.1",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-hwe-5.4-cloud-tools-common": "5.4.0-144.161~18.04.1",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-headers-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-modules-extra-virtual-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-generic-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-cloud-tools-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-image-unsigned-5.4.0-144-lowlatency": "5.4.0-144.161~18.04.1",
            "linux-headers-snapdragon-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-modules-5.4.0-144-generic-lpae": "5.4.0-144.161~18.04.1",
            "linux-headers-oem-osp1": "5.4.0.144.161~18.04.115",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-hwe-5.4-source-5.4.0": "5.4.0-144.161~18.04.1",
            "linux-image-5.4.0-144-lowlatency": "5.4.0-144.161~18.04.1",
            "linux-image-unsigned-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-modules-extra-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-headers-virtual-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-tools-oem-osp1": "5.4.0.144.161~18.04.115",
            "linux-modules-extra-virtual-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-oem-osp1": "5.4.0.144.161~18.04.115",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-modules-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-tools-oem": "5.4.0.144.161~18.04.115",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-hwe-5.4-tools-common": "5.4.0-144.161~18.04.1",
            "linux-virtual-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-image-oem": "5.4.0.144.161~18.04.115",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-buildinfo-5.4.0-144-generic-lpae": "5.4.0-144.161~18.04.1",
            "linux-cloud-tools-5.4.0-144-lowlatency": "5.4.0-144.161~18.04.1",
            "linux-tools-5.4.0-144-generic": "5.4.0-144.161~18.04.1",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-virtual-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-image-generic-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-image-virtual-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-image-oem-osp1": "5.4.0.144.161~18.04.115",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.144.161~18.04.115",
            "linux-tools-virtual-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-image-snapdragon-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-tools-snapdragon-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-tools-generic-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.144.161~18.04.115",
            "linux-modules-5.4.0-144-lowlatency": "5.4.0-144.161~18.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws-5.4

Package

Name
linux-aws-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1097.105~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-aws-5.4-headers-5.4.0-1097": "5.4.0-1097.105~18.04.1",
            "linux-image-aws-edge": "5.4.0.1097.75",
            "linux-image-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-headers-aws": "5.4.0.1097.75",
            "linux-tools-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-aws-5.4-tools-5.4.0-1097": "5.4.0-1097.105~18.04.1",
            "linux-aws": "5.4.0.1097.75",
            "linux-cloud-tools-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-modules-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-image-aws": "5.4.0.1097.75",
            "linux-headers-aws-edge": "5.4.0.1097.75",
            "linux-modules-extra-aws": "5.4.0.1097.75",
            "linux-modules-extra-aws-edge": "5.4.0.1097.75",
            "linux-aws-5.4-cloud-tools-5.4.0-1097": "5.4.0-1097.105~18.04.1",
            "linux-headers-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-buildinfo-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-modules-extra-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-image-unsigned-5.4.0-1097-aws": "5.4.0-1097.105~18.04.1",
            "linux-tools-aws-edge": "5.4.0.1097.75",
            "linux-aws-edge": "5.4.0.1097.75",
            "linux-tools-aws": "5.4.0.1097.75"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle-5.4

Package

Name
linux-oracle-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1094.103~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-oracle-edge": "5.4.0.1094.103~18.04.68",
            "linux-buildinfo-5.4.0-1094-oracle": "5.4.0-1094.103~18.04.1",
            "linux-image-5.4.0-1094-oracle": "5.4.0-1094.103~18.04.1",
            "linux-modules-extra-5.4.0-1094-oracle": "5.4.0-1094.103~18.04.1",
            "linux-oracle-5.4-tools-5.4.0-1094": "5.4.0-1094.103~18.04.1",
            "linux-signed-oracle-edge": "5.4.0.1094.103~18.04.68",
            "linux-modules-5.4.0-1094-oracle": "5.4.0-1094.103~18.04.1",
            "linux-oracle-5.4-headers-5.4.0-1094": "5.4.0-1094.103~18.04.1",
            "linux-headers-5.4.0-1094-oracle": "5.4.0-1094.103~18.04.1",
            "linux-tools-oracle-edge": "5.4.0.1094.103~18.04.68",
            "linux-signed-image-oracle": "5.4.0.1094.103~18.04.68",
            "linux-signed-oracle": "5.4.0.1094.103~18.04.68",
            "linux-oracle": "5.4.0.1094.103~18.04.68",
            "linux-image-unsigned-5.4.0-1094-oracle": "5.4.0-1094.103~18.04.1",
            "linux-tools-5.4.0-1094-oracle": "5.4.0-1094.103~18.04.1",
            "linux-headers-oracle": "5.4.0.1094.103~18.04.68",
            "linux-modules-extra-oracle": "5.4.0.1094.103~18.04.68",
            "linux-image-oracle-edge": "5.4.0.1094.103~18.04.68",
            "linux-signed-image-oracle-edge": "5.4.0.1094.103~18.04.68",
            "linux-headers-oracle-edge": "5.4.0.1094.103~18.04.68",
            "linux-tools-oracle": "5.4.0.1094.103~18.04.68",
            "linux-image-oracle": "5.4.0.1094.103~18.04.68",
            "linux-modules-extra-oracle-edge": "5.4.0.1094.103~18.04.68"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-5.4

Package

Name
linux-azure-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1104.110~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-modules-extra-azure": "5.4.0.1104.77",
            "linux-signed-image-azure": "5.4.0.1104.77",
            "linux-azure-5.4-cloud-tools-5.4.0-1104": "5.4.0-1104.110~18.04.1",
            "linux-azure": "5.4.0.1104.77",
            "linux-azure-5.4-headers-5.4.0-1104": "5.4.0-1104.110~18.04.1",
            "linux-modules-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-tools-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-headers-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-signed-azure": "5.4.0.1104.77",
            "linux-cloud-tools-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-buildinfo-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-headers-azure-edge": "5.4.0.1104.77",
            "linux-image-unsigned-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-headers-azure": "5.4.0.1104.77",
            "linux-tools-azure-edge": "5.4.0.1104.77",
            "linux-cloud-tools-azure": "5.4.0.1104.77",
            "linux-tools-azure": "5.4.0.1104.77",
            "linux-cloud-tools-azure-edge": "5.4.0.1104.77",
            "linux-azure-5.4-tools-5.4.0-1104": "5.4.0-1104.110~18.04.1",
            "linux-image-5.4.0-1104-azure": "5.4.0-1104.110~18.04.1",
            "linux-image-azure": "5.4.0.1104.77",
            "linux-azure-edge": "5.4.0.1104.77",
            "linux-image-azure-edge": "5.4.0.1104.77",
            "linux-signed-azure-edge": "5.4.0.1104.77",
            "linux-signed-image-azure-edge": "5.4.0.1104.77",
            "linux-modules-extra-azure-edge": "5.4.0.1104.77"
        }
    ]
}